- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::ZeroMatrixSpace Class Reference

Class for matrix space for ZeroMatrix. More...

`#include <IpZeroMatrix.hpp>`

Inheritance diagram for Ipopt::ZeroMatrixSpace:

[legend]
Collaboration diagram for Ipopt::ZeroMatrixSpace:

[legend]
List of all members.

## Public Member Functions
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class.
ZeroMatrix * | MakeNewZeroMatrix () const
| Method for creating a new matrix of this specific type.
Constructors / Destructors
| ZeroMatrixSpace (Index nrows, Index ncols)
| Constructor, given the number of row and columns.
virtual | ~ZeroMatrixSpace ()
| Destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ZeroMatrixSpace ()
| Default Constructor.
| ZeroMatrixSpace (const ZeroMatrixSpace &)
| Copy Constructor.
void | operator= (const ZeroMatrixSpace &)
| Overloaded Equals Operator.

## Detailed Description

Class for matrix space for ZeroMatrix.

Definition at line 79 of file IpZeroMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::ZeroMatrixSpace::ZeroMatrixSpace | ( | Index | nrows,
|  | Index | ncols |
| ) |  |  | `[inline]`

Constructor, given the number of row and columns.

Definition at line 86 of file IpZeroMatrix.hpp.

virtual Ipopt::ZeroMatrixSpace::~ZeroMatrixSpace | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 92 of file IpZeroMatrix.hpp.

Ipopt::ZeroMatrixSpace::ZeroMatrixSpace | ( |  | ) | `[private]`

Default Constructor.

Ipopt::ZeroMatrixSpace::ZeroMatrixSpace | ( | const ZeroMatrixSpace & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual Matrix* Ipopt::ZeroMatrixSpace::MakeNew | ( |  | ) | const`[inline, virtual]`

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 98 of file IpZeroMatrix.hpp.

References MakeNewZeroMatrix().

ZeroMatrix* Ipopt::ZeroMatrixSpace::MakeNewZeroMatrix | ( |  | ) | const`[inline]`

Method for creating a new matrix of this specific type.

Definition at line 104 of file IpZeroMatrix.hpp.

Referenced by MakeNew().

void Ipopt::ZeroMatrixSpace::operator= | ( | const ZeroMatrixSpace & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/src/LinAlg/IpZeroMatrix.hpp